import os
from setuptools import setup
from elisa.core.utils.dist import find_packages, TrialTest, Clean, build_po


packages, package_dir = find_packages(os.path.dirname(__file__))
cmdclass = dict(test=TrialTest, clean=Clean, build_po=build_po)


setup(name='elisa-plugin-qik',
    version='0.1',
    description='', # FIXME
    long_description='', # FIXME
    license='GPLv3',
    author='Guido Amoruso',
    author_email='guidonte@fluendo.com',
    keywords='',
    install_requires=['elisa-plugin-poblesec', 'elisa-plugin-rss'],
    namespace_packages=['elisa', 'elisa.plugins'],
    packages=packages,
    package_dir=package_dir,
    package_data={'': ['*.conf', '*.png'],
                  'elisa.plugins.qik': ['*/LC_MESSAGES/*.po', '*.pot'],
                  },
    decorator_mappings=[('/poblesec/video/internet',
                         'elisa.plugins.qik.decorator:qik_decorator'),
                        ],
    cmdclass=cmdclass)
